<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sexam.mapper.report.ERsubjectMapper">
    <!--校级报告-成绩概况-->
    <select id="listByExamId" resultType="java.util.Map">
        select rs.subjectid, rs.subjectname, score, maxscore, minscore, avgscore, stunum, missnum, yxrate, lhrate, jgrate, dfrate, bzc
        from e_rsubject rs left join e_subject es on rs.examid = es.examid and rs.subjectid=es.subjectid
        where rs.examid=#{examid}
        order by es.begintime,es.esid
    </select>
    <!--考试报告科目选择列表-->
    <select id="listByExamIdForSel" resultType="java.util.Map">
        select rs.subjectid,rs.subjectname
        from e_rsubject rs left join e_subject es on rs.examid = es.examid and rs.subjectid=es.subjectid
        where rs.examid=#{examid} and rs.subjectid!='zf'
        order by es.begintime,es.esid
    </select>
</mapper>
